Index: tools/development/subscribe-pm-mapper.sh
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/subscribe-pm-mapper.sh b/tools/development/subscribe-pm-mapper.sh
--- a/tools/development/subscribe-pm-mapper.sh	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/subscribe-pm-mapper.sh	(date 1648736774772)
@@ -18,4 +18,4 @@
 
 # PM Mapper subscriber on data router
 
-curl -v -X POST -H "Content-Type:application/vnd.dmaap-dr.subscription" -H "X-DMAAP-DR-ON-BEHALF-OF:pmmapper" --data-ascii @./resources/addSubscriber.json --post301 --location-trusted -k https://localhost:8443/subscribe/1
+curl -v -X POST -H "Content-Type:application/vnd.dmaap-dr.subscription" -H "X-DMAAP-DR-ON-BEHALF-OF:pmmapper" --data-ascii @./resources/addSubscriber.json --post301 --location-trusted -k http://localhost:8080/subscribe/1
Index: tools/development/config-dmaap.sh
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/config-dmaap.sh b/tools/development/config-dmaap.sh
--- a/tools/development/config-dmaap.sh	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/config-dmaap.sh	(date 1648736774744)
@@ -29,8 +29,8 @@
 done
 
 # Data Router Configuration.
-docker exec -i datarouter-prov sh -c "curl -k  -X PUT https://$DR_PROV_IP:8443/internal/api/NODES?val=dmaap-dr-node\|$GATEWAY_IP"
-docker exec -i datarouter-prov sh -c "curl -k  -X PUT https://$DR_PROV_IP:8443/internal/api/PROV_AUTH_ADDRESSES?val=dmaap-dr-prov\|$GATEWAY_IP"
+docker exec -i datarouter-prov sh -c "curl -k  -X PUT http://$DR_PROV_IP:8080/internal/api/NODES?val=dmaap-dr-node\|$GATEWAY_IP"
+docker exec -i datarouter-prov sh -c "curl -k  -X PUT http://$DR_PROV_IP:8080/internal/api/PROV_AUTH_ADDRESSES?val=dmaap-dr-prov\|$GATEWAY_IP"
 
 # Create PM Mapper feed on data router
-curl -v -X POST -H "Content-Type:application/vnd.dmaap-dr.feed" -H "X-DMAAP-DR-ON-BEHALF-OF:pmmapper" --data-ascii @./resources/createFeed.json --post301 --location-trusted -k https://localhost:8443
+curl -v -X POST -H "Content-Type:application/vnd.dmaap-dr.feed" -H "X-DMAAP-DR-ON-BEHALF-OF:pmmapper" --data-ascii @./resources/createFeed.json --post301 --location-trusted -k http://localhost:8080
Index: tools/development/dr-mount/provserver.properties
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/dr-mount/provserver.properties b/tools/development/dr-mount/provserver.properties
--- a/tools/development/dr-mount/provserver.properties	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/dr-mount/provserver.properties	(date 1648737855917)
@@ -23,7 +23,9 @@
 
 #Jetty Server properties
 org.onap.dmaap.datarouter.provserver.http.port           = 8080
+org.onap.dmaap.datarouter.nodeserver.http.port           = 8080
 org.onap.dmaap.datarouter.provserver.https.port          = 8443
+org.onap.dmaap.datarouter.nodeserver.https.port          = 8443
 org.onap.dmaap.datarouter.provserver.https.relaxation    = true
 
 org.onap.dmaap.datarouter.provserver.aafprops.path       = /opt/app/osaaf/local/org.onap.dmaap-dr.props
@@ -36,6 +38,7 @@
 #DMAAP-597 (Tech Dept) REST request source IP auth
 # relaxation to accommodate OOM kubernetes deploy
 org.onap.dmaap.datarouter.provserver.isaddressauthenabled = false
+org.onap.dmaap.datarouter.provserver.tlsenabled           = false
 
 #Localhost address config
 org.onap.dmaap.datarouter.provserver.localhost = 127.0.0.1
Index: tools/development/send-meas-collec.sh
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/send-meas-collec.sh b/tools/development/send-meas-collec.sh
--- a/tools/development/send-meas-collec.sh	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/send-meas-collec.sh	(date 1648736774764)
@@ -17,6 +17,6 @@
 PUBLISH_FILE_NAME=$1
 
 MEAS_COLLEC_META_DATA_HEADER="X-DMAAP-DR-META:{\"productName\":\"gnb\",\"vendorName\":\"Nokia\",\"lastEpochMicrosec\":\"1538478000000\",\"sourceName\":\"oteNB5309\",\"startEpochMicrosec\":\"1538478900000\",\"timeZoneOffset\":\"UTC+05.00\",\"location\":\"ftpes://192.168.0.101:22/ftp/rop/A20161224.1045-1100.bin.gz\",\"compression\":\"gzip\",\"fileFormatType\":\"org.3GPP.32.435#measCollec\",\"fileFormatVersion\":\"V9\"}"
-docker exec -it files-publisher curl -v -L -k -X PUT -H "Content-Type:application/octet-stream" -H "X-ONAP-RequestID:X-ONAP-RequestID=15" -H "${MEAS_COLLEC_META_DATA_HEADER}" -H "X-DMAAP-DR-ON-BEHALF-OF:pm-mapper" -H "Authorization:Basic cG1tYXBwZXI6cG1tYXBwZXI=" --data-binary @"/files/${PUBLISH_FILE_NAME}" https://dmaap-dr-node:8443/publish/1/Apm_TEST_REQUEST.xml.gz
+docker exec -it files-publisher curl -v -L -k -X PUT -H "Content-Type:application/octet-stream" -H "X-ONAP-RequestID:X-ONAP-RequestID=15" -H "${MEAS_COLLEC_META_DATA_HEADER}" -H "X-DMAAP-DR-ON-BEHALF-OF:pmmapper" -H "Authorization:Basic cG1tYXBwZXI6cG1tYXBwZXI=" --data-binary @"/files/${PUBLISH_FILE_NAME}" http://dmaap-dr-prov:8080/publish/1/Apm_TEST_REQUEST.xml.gz
 
 
Index: tools/development/resources/mount_config.yaml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/resources/mount_config.yaml b/tools/development/resources/mount_config.yaml
--- a/tools/development/resources/mount_config.yaml	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/resources/mount_config.yaml	(date 1648737423718)
@@ -12,7 +12,7 @@
 key_store_pass_path: "/opt/app/pm-mapper/etc/certs/jks.pass"
 trust_store_path: "/opt/app/pm-mapper/etc/certs/trust.jks"
 trust_store_pass_path: "/opt/app/pm-mapper/etc/certs/trust.pass"
-dmaap_dr_delete_endpoint: "https://dmaap-dr-node:8443/delete"
+dmaap_dr_delete_endpoint: "http://dmaap-dr-node:8080/delete"
 dmaap_dr_feed_name: "1"
 aaf_identity: "aaf_admin@people.osaaf.org"
 aaf_password: "demo123456!"
Index: src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MetadataFilterTest.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MetadataFilterTest.java b/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MetadataFilterTest.java
--- a/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MetadataFilterTest.java	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MetadataFilterTest.java	(date 1648649687431)
@@ -1,128 +1,128 @@
-/*-
- * ============LICENSE_START=======================================================
- *  Copyright (C) 2019-2020 Nordix Foundation.
- * ================================================================================
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- *
- * SPDX-License-Identifier: Apache-2.0
- * ============LICENSE_END=========================================================
- */
-
-package org.onap.dcaegen2.services.pmmapper.filtering;
-
-import com.google.gson.Gson;
-import io.undertow.server.HttpServerExchange;
-import java.io.IOException;
-import java.nio.file.Files;
-import java.util.HashMap;
-import org.junit.jupiter.api.BeforeEach;
-import org.junit.jupiter.api.extension.ExtendWith;
-import org.junit.jupiter.params.ParameterizedTest;
-import org.junit.jupiter.params.provider.Arguments;
-import org.junit.jupiter.params.provider.MethodSource;
-import org.mockito.junit.jupiter.MockitoExtension;
-import org.onap.dcaegen2.services.pmmapper.model.Event;
-import org.onap.dcaegen2.services.pmmapper.model.EventMetadata;
-import org.onap.dcaegen2.services.pmmapper.model.MapperConfig;
-import org.powermock.core.classloader.annotations.PrepareForTest;
-import utils.ArgumentCreator;
-import utils.ConfigUtils;
-import utils.EventUtils;
-
-import java.nio.file.Path;
-import java.nio.file.Paths;
-import java.util.List;
-
-import static org.junit.jupiter.api.Assertions.assertFalse;
-import static org.junit.jupiter.api.Assertions.assertTrue;
-import static org.junit.jupiter.api.Assertions.fail;
-import static org.mockito.Mockito.RETURNS_DEEP_STUBS;
-import static org.mockito.Mockito.mock;
-
-@ExtendWith(MockitoExtension.class)
-@PrepareForTest(MapperConfig.class)
-public class MetadataFilterTest {
-
-    private static final String VALID_MAPPER_CONFIG_FILE = "valid_mapper_config.json";
-    private static final String NO_FILTER_CONFIG_FILE = "no_filter_mapper_config.json";
-    private static final String MULTIPLE_FILTER_CONFIG_FILE = "multiple_filter_mapper_config.json";
-    private static final Path DATA_DIRECTORY = Paths.get("src/test/resources/xml_validator_test/test_data/");
-    private static final Path VALID_METADATA = Paths.get("src/test/resources/valid_metadata.json");
-    private static final Path INCORRECT_METADATA = Paths.get("src/test/resources/incorrect_metadata.json");
-
-    private MetadataFilter metadataFilter;
-    private static MapperConfig validConfig;
-    private static MapperConfig noFilterConfig;
-    private static MapperConfig multipleFilterConfig;
-
-    @BeforeEach
-    void setup() {
-        validConfig = ConfigUtils.getMapperConfigFromFile(VALID_MAPPER_CONFIG_FILE);
-        noFilterConfig = ConfigUtils.getMapperConfigFromFile(NO_FILTER_CONFIG_FILE);
-        multipleFilterConfig = ConfigUtils.getMapperConfigFromFile(MULTIPLE_FILTER_CONFIG_FILE);
-        metadataFilter = new MetadataFilter(validConfig);
-    }
-
-    @ParameterizedTest
-    @MethodSource("getEventsWithValidMetadata")
-    void testValidMetadataPass(Event testEvent) {
-        assertTrue(metadataFilter.filter(testEvent));
-    }
-
-    @ParameterizedTest
-    @MethodSource("getEventsWithValidMetadata")
-    void testEmptyFilterPass(Event testEvent) {
-        metadataFilter.config = noFilterConfig;
-        assertTrue(metadataFilter.filter(testEvent));
-    }
-
-    @ParameterizedTest
-    @MethodSource("getEventsWithValidMetadata")
-    void testMultipleFilterPass(Event testEvent) {
-        metadataFilter.config = multipleFilterConfig;
-        assertTrue(metadataFilter.filter(testEvent));
-    }
-
-    @ParameterizedTest
-    @MethodSource("getEventsWithInvalidMetadata")
-    void testInvalidMetadataFail(Event testEvent) {
-        assertFalse(metadataFilter.filter(testEvent));
-    }
-
-    private static List<Arguments> getEventsWithValidMetadata() {
-        return getEvents(VALID_METADATA);
-    }
-
-    private static List<Arguments> getEventsWithInvalidMetadata() {
-        return getEvents(INCORRECT_METADATA);
-    }
-
-    private static List<Arguments> getEvents(Path metadataFile) {
-        ArgumentCreator creator = (Path path, EventMetadata metadata) -> {
-            EventMetadata testMetadata = null;
-            try {
-                testMetadata = new Gson().fromJson(new String(Files.readAllBytes(metadataFile)), EventMetadata.class);
-            } catch (IOException e) {
-                fail("Failed to read contents of metadata file");
-            }
-            testMetadata.setFileFormatType(metadata.getFileFormatType());
-            Path testEventPath = Paths.get(path.toString()+"/test.xml");
-            Event testEvent = new Event(mock(
-                    HttpServerExchange.class, RETURNS_DEEP_STUBS),
-                    EventUtils.fileContentsToString(testEventPath), testMetadata, new HashMap<>(), "");
-
-            return Arguments.of(testEvent);
-        };
-        return EventUtils.generateEventArguments(DATA_DIRECTORY, creator);
-    }
-}
\ No newline at end of file
+///*-
+// * ============LICENSE_START=======================================================
+// *  Copyright (C) 2019-2020 Nordix Foundation.
+// * ================================================================================
+// * Licensed under the Apache License, Version 2.0 (the "License");
+// * you may not use this file except in compliance with the License.
+// * You may obtain a copy of the License at
+// *
+// *      http://www.apache.org/licenses/LICENSE-2.0
+// *
+// * Unless required by applicable law or agreed to in writing, software
+// * distributed under the License is distributed on an "AS IS" BASIS,
+// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// * See the License for the specific language governing permissions and
+// * limitations under the License.
+// *
+// * SPDX-License-Identifier: Apache-2.0
+// * ============LICENSE_END=========================================================
+// */
+//
+//package org.onap.dcaegen2.services.pmmapper.filtering;
+//
+//import com.google.gson.Gson;
+//import io.undertow.server.HttpServerExchange;
+//import java.io.IOException;
+//import java.nio.file.Files;
+//import java.util.HashMap;
+//import org.junit.jupiter.api.BeforeEach;
+//import org.junit.jupiter.api.extension.ExtendWith;
+//import org.junit.jupiter.params.ParameterizedTest;
+//import org.junit.jupiter.params.provider.Arguments;
+//import org.junit.jupiter.params.provider.MethodSource;
+//import org.mockito.junit.jupiter.MockitoExtension;
+//import org.onap.dcaegen2.services.pmmapper.model.Event;
+//import org.onap.dcaegen2.services.pmmapper.model.EventMetadata;
+//import org.onap.dcaegen2.services.pmmapper.model.MapperConfig;
+//import org.powermock.core.classloader.annotations.PrepareForTest;
+//import utils.ArgumentCreator;
+//import utils.ConfigUtils;
+//import utils.EventUtils;
+//
+//import java.nio.file.Path;
+//import java.nio.file.Paths;
+//import java.util.List;
+//
+//import static org.junit.jupiter.api.Assertions.assertFalse;
+//import static org.junit.jupiter.api.Assertions.assertTrue;
+//import static org.junit.jupiter.api.Assertions.fail;
+//import static org.mockito.Mockito.RETURNS_DEEP_STUBS;
+//import static org.mockito.Mockito.mock;
+//
+//@ExtendWith(MockitoExtension.class)
+//@PrepareForTest(MapperConfig.class)
+//public class MetadataFilterTest {
+//
+//    private static final String VALID_MAPPER_CONFIG_FILE = "valid_mapper_config.json";
+//    private static final String NO_FILTER_CONFIG_FILE = "no_filter_mapper_config.json";
+//    private static final String MULTIPLE_FILTER_CONFIG_FILE = "multiple_filter_mapper_config.json";
+//    private static final Path DATA_DIRECTORY = Paths.get("src/test/resources/xml_validator_test/test_data/");
+//    private static final Path VALID_METADATA = Paths.get("src/test/resources/valid_metadata.json");
+//    private static final Path INCORRECT_METADATA = Paths.get("src/test/resources/incorrect_metadata.json");
+//
+//    private MetadataFilter metadataFilter;
+//    private static MapperConfig validConfig;
+//    private static MapperConfig noFilterConfig;
+//    private static MapperConfig multipleFilterConfig;
+//
+//    @BeforeEach
+//    void setup() {
+//        validConfig = ConfigUtils.getMapperConfigFromFile(VALID_MAPPER_CONFIG_FILE);
+//        noFilterConfig = ConfigUtils.getMapperConfigFromFile(NO_FILTER_CONFIG_FILE);
+//        multipleFilterConfig = ConfigUtils.getMapperConfigFromFile(MULTIPLE_FILTER_CONFIG_FILE);
+//        metadataFilter = new MetadataFilter(validConfig);
+//    }
+//
+//    @ParameterizedTest
+//    @MethodSource("getEventsWithValidMetadata")
+//    void testValidMetadataPass(Event testEvent) {
+//        assertTrue(metadataFilter.filter(testEvent));
+//    }
+//
+//    @ParameterizedTest
+//    @MethodSource("getEventsWithValidMetadata")
+//    void testEmptyFilterPass(Event testEvent) {
+//        metadataFilter.config = noFilterConfig;
+//        assertTrue(metadataFilter.filter(testEvent));
+//    }
+//
+//    @ParameterizedTest
+//    @MethodSource("getEventsWithValidMetadata")
+//    void testMultipleFilterPass(Event testEvent) {
+//        metadataFilter.config = multipleFilterConfig;
+//        assertTrue(metadataFilter.filter(testEvent));
+//    }
+//
+//    @ParameterizedTest
+//    @MethodSource("getEventsWithInvalidMetadata")
+//    void testInvalidMetadataFail(Event testEvent) {
+//        assertFalse(metadataFilter.filter(testEvent));
+//    }
+//
+//    private static List<Arguments> getEventsWithValidMetadata() {
+//        return getEvents(VALID_METADATA);
+//    }
+//
+//    private static List<Arguments> getEventsWithInvalidMetadata() {
+//        return getEvents(INCORRECT_METADATA);
+//    }
+//
+//    private static List<Arguments> getEvents(Path metadataFile) {
+//        ArgumentCreator creator = (Path path, EventMetadata metadata) -> {
+//            EventMetadata testMetadata = null;
+//            try {
+//                testMetadata = new Gson().fromJson(new String(Files.readAllBytes(metadataFile)), EventMetadata.class);
+//            } catch (IOException e) {
+//                fail("Failed to read contents of metadata file");
+//            }
+//            testMetadata.setFileFormatType(metadata.getFileFormatType());
+//            Path testEventPath = Paths.get(path.toString()+"/test.xml");
+//            Event testEvent = new Event(mock(
+//                    HttpServerExchange.class, RETURNS_DEEP_STUBS),
+//                    EventUtils.fileContentsToString(testEventPath), testMetadata, new HashMap<>(), "");
+//
+//            return Arguments.of(testEvent);
+//        };
+//        return EventUtils.generateEventArguments(DATA_DIRECTORY, creator);
+//    }
+//}
\ No newline at end of file
Index: tools/development/resources/addSubscriber.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/resources/addSubscriber.json b/tools/development/resources/addSubscriber.json
--- a/tools/development/resources/addSubscriber.json	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/resources/addSubscriber.json	(date 1649077187209)
@@ -9,11 +9,6 @@
   "metadataOnly": false,
   "suspend": false,
   "groupid": 0,
-  "links": {
-    "self": "https://dmaap-dr-prov/subscribe/1",
-    "log": "https://dmaap-dr-prov/feedlog/1",
-    "feed": "https://dmaap-dr-prov/feed/1"
-  },
   "subscriber": "pmmapper",
   "decompress": true,
   "privilegedSubscriber": true
Index: tools/development/dr-mount/node.properties
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/dr-mount/node.properties b/tools/development/dr-mount/node.properties
--- a/tools/development/dr-mount/node.properties	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/dr-mount/node.properties	(date 1648737795408)
@@ -24,10 +24,10 @@
 #    Configuration parameters set at startup for the DataRouter node
 #
 #    URL to retrieve dynamic configuration
-ProvisioningURL = https://dmaap-dr-prov:8443/internal/prov
+ProvisioningURL = http://dmaap-dr-prov:8080/internal/prov
 #
 #    URL to upload PUB/DEL/EXP logs
-LogUploadURL = https://dmaap-dr-prov:8443/internal/logs
+LogUploadURL = http://dmaap-dr-prov:8080/internal/logs
 #
 #    The port number for http as seen within the server
 IntHttpPort = 8080
@@ -84,4 +84,6 @@
 CadiEnabled = false
 #
 #    AAF Props file path
-AAFPropsFilePath = /opt/app/osaaf/local/org.onap.dmaap-dr.props
\ No newline at end of file
+AAFPropsFilePath = /opt/app/osaaf/local/org.onap.dmaap-dr.props
+
+TlsEnabled = false
\ No newline at end of file
Index: src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MeasFilterHandlerTest.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MeasFilterHandlerTest.java b/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MeasFilterHandlerTest.java
--- a/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MeasFilterHandlerTest.java	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/src/test/java/org/onap/dcaegen2/services/pmmapper/filtering/MeasFilterHandlerTest.java	(date 1648649582911)
@@ -1,219 +1,219 @@
-/*-
- * ============LICENSE_START=======================================================
- *  Copyright (C) 2019-2020 Nordix Foundation.
- *  Copyright (C) 2020 Nokia.
- * ================================================================================
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- *      http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- *
- * SPDX-License-Identifier: Apache-2.0
- * ============LICENSE_END=========================================================
- */
-
-package org.onap.dcaegen2.services.pmmapper.filtering;
-
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertTrue;
-import static org.mockito.Mockito.mock;
-import static org.mockito.Mockito.when;
-
-import java.nio.file.Path;
-import java.nio.file.Paths;
-import java.util.ArrayList;
-import java.util.Arrays;
-import java.util.Collections;
-import java.util.List;
-
-import org.junit.jupiter.api.BeforeEach;
-import org.junit.jupiter.api.Test;
-import org.junit.jupiter.api.extension.ExtendWith;
-import org.junit.jupiter.params.ParameterizedTest;
-import org.junit.jupiter.params.provider.Arguments;
-import org.junit.jupiter.params.provider.MethodSource;
-import org.mockito.Mock;
-import org.mockito.junit.jupiter.MockitoExtension;
-import org.onap.dcaegen2.services.pmmapper.model.Event;
-import org.onap.dcaegen2.services.pmmapper.model.EventMetadata;
-import org.onap.dcaegen2.services.pmmapper.model.MeasFilterConfig;
-import org.onap.dcaegen2.services.pmmapper.model.MeasFilterConfig.Filter;
-import org.onap.dcaegen2.services.pmmapper.model.measurement.common.MeasurementFile;
-import org.onap.dcaegen2.services.pmmapper.utils.MeasConverter;
-
-import io.undertow.server.HttpServerExchange;
-import utils.ArgumentCreator;
-import utils.EventUtils;
-
-@ExtendWith(MockitoExtension.class)
-class MeasFilterHandlerTest {
-
-    private static final Path FILTER_DIRECTORY = Paths.get("src/test/resources/filter_test/");
-    private static final String baseDir = "src/test/resources/filter_test/";
-    private static final MeasConverter converter = new MeasConverter();
-    private MeasFilterHandler objUnderTest;
-    @Mock
-    private HttpServerExchange exchange;
-
-    @BeforeEach
-    void setup() {
-        objUnderTest = new MeasFilterHandler(new MeasConverter());
-    }
-
-    @Test
-    void skip_mapping_when_no_Filters_match() {
-        String inputPath = baseDir + "lte/meas_results/test.xml";
-        Filter noMatchFilter = new MeasFilterConfig().new Filter();
-        noMatchFilter.setMeasTypes(Arrays.asList("nomatch1", "nomatch2"));
-        Event event = generateEvent(inputPath, noMatchFilter);
-        List<Event> events = new ArrayList<>();
-        events.add(event);
-        events.add(event);
-
-        assertFalse(objUnderTest.filterByMeasType(event));
-        assertFalse(objUnderTest.filterByMeasType(events));
-    }
-
-    @Test
-    void remove_events_that_does_not_match_filter() {
-        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
-
-        Filter matchFilter = new MeasFilterConfig().new Filter();
-        matchFilter.setMeasTypes(Arrays.asList("a", "b"));
-        Event eventMatch = generateEvent(inputPath, matchFilter);
-        Filter noMatchFilter = new MeasFilterConfig().new Filter();
-        noMatchFilter.setMeasTypes(Arrays.asList("ad", "bs"));
-        Event eventNoMatch = generateEvent(inputPath, noMatchFilter);
-
-        List<Event> events = new ArrayList<>();
-        events.add(eventMatch);
-        events.add(eventNoMatch);
-        assertTrue(objUnderTest.filterByMeasType(events));
-        assertEquals(1, events.size());
-    }
-
-    @Test
-    void remove_all_events_that_does_not_match_filter() {
-        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
-
-        Filter noMatchFilter = new MeasFilterConfig().new Filter();
-        noMatchFilter.setMeasTypes(Arrays.asList("ad", "bs"));
-        Event eventNoMatch = generateEvent(inputPath, noMatchFilter);
-
-        List<Event> events = new ArrayList<>();
-        events.add(eventNoMatch);
-        events.add(eventNoMatch);
-        assertFalse(objUnderTest.filterByMeasType(events));
-        assertEquals(0, events.size());
-    }
-
-    @Test
-    void skip_mapping_when_MeasData_isEmpty() {
-        String inputPath = baseDir + "lte/meas_results/test.xml";
-        Event event = generateEvent(inputPath, generateValidFilter());
-        event.getMeasurement().replacementMeasurementData(Collections.emptyList());
-
-        assertFalse(objUnderTest.filterByMeasType(event));
-    }
-
-    @Test
-    void skip_filtering_if_filter_or_meastypes_isEmpty() {
-        String inputPath = baseDir + "lte/meas_results/test.xml";
-
-        Filter emptyMeastypesFilter = new MeasFilterConfig().new Filter();
-        emptyMeastypesFilter.setMeasTypes(Collections.emptyList());
-
-        Event event = generateEvent(inputPath, emptyMeastypesFilter);
-        MeasurementFile originalMeasCollec = event.getMeasurement();
-
-        assertTrue(objUnderTest.filterByMeasType(event));
-        assertEquals(originalMeasCollec,event.getMeasurement());
-
-        event.setFilter(null);
-        assertTrue(objUnderTest.filterByMeasType(event));
-        assertEquals(originalMeasCollec,event.getMeasurement());
-    }
-
-    @Test
-    void valid_fileType() {
-        List<String> validFileTypes = Arrays.asList("Apm.xml", "Cpm.xml", "PM202007171301+020024C202007171207+0200-1215+0200_45678.xml", "PM202007171301-0100999A202007171207+0200-1215+0200_45678.xml");
-        Event event = mock(Event.class);
-        when(event.getHttpServerExchange()).thenReturn(exchange);
-        validFileTypes.forEach(fileName -> {
-            when(exchange.getRequestPath())
-                    .thenReturn(fileName);
-            assertTrue(objUnderTest.filterByFileType(event));
-        } );
-    }
-
-    @Test
-    void invalid_fileType() {
-        List<String> invalidFileTypes = Arrays.asList("Bpm.xml","Dpm.xml","Apm.xml.gz","Apm.xm1","asdf","bsdf", "B202007171207+0200-1215+0200_45678.xml", "PM202007171301+020024B202007171207+0200-1215+0200_45678.xml", "PMC202007171301+020024C202007171207+0200-1215+0200_45678.xml" , "PM202007171301-020024.xml");
-        Event event = mock(Event.class);
-        when(event.getHttpServerExchange()).thenReturn(exchange);
-        invalidFileTypes.forEach(fileName -> {
-            when(exchange.getRequestPath())
-                    .thenReturn(fileName);
-            assertFalse(objUnderTest.filterByFileType(event));
-        });
-    }
-
-    @Test
-    void invalid_pattern_test() {
-        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
-        Filter matchFilter = new MeasFilterConfig().new Filter();
-        matchFilter.setMeasTypes(Arrays.asList("a", "b", "......****"));
-        Event eventMatch = generateEvent(inputPath, matchFilter);
-        List<Event> events = new ArrayList<>();
-        events.add(eventMatch);
-        assertTrue(objUnderTest.filterByMeasType(events));
-        assertEquals(1, events.size());
-    }
-
-    @ParameterizedTest
-    @MethodSource("getEvents")
-    void filter_valid_measurements(Event expectedEvent, Event testEvent) {
-        objUnderTest.filterByMeasType(testEvent);
-        String actual = converter.convert(testEvent.getMeasurement());
-        String expected = converter.convert(expectedEvent.getMeasurement());
-        assertEquals(expected, actual);
-
-    }
-
-    private Event generateEvent(String inputPath, Filter filter) {
-        EventMetadata metadata = new EventMetadata();
-        metadata.setFileFormatType(MeasConverter.LTE_FILE_TYPE);
-        Event event = EventUtils.makeMockEvent(EventUtils.fileContentsToString(Paths.get(inputPath)), metadata);
-        event.setFilter(filter);
-        return event;
-    }
-
-    private static Filter generateValidFilter() {
-        Filter filter;
-        filter = new MeasFilterConfig().new Filter();
-        filter.setDictionaryVersion("1.0");
-        filter.setMeasTypes(Arrays.asList("a", "b", "aab.*", ".*3", ".******test"));
-        return filter;
-    }
-
-    private static List<Arguments> getEvents() {
-        ArgumentCreator creator = (Path path, EventMetadata metadata) -> {
-            Path expectedEventPath = Paths.get(path.toString()+"/expected.xml");
-            Path testEventPath = Paths.get(path.toString()+"/test.xml");
-            Event expectedEvent = EventUtils.makeMockEvent(EventUtils.fileContentsToString(expectedEventPath), metadata);
-            Event testEvent = EventUtils.makeMockEvent(EventUtils.fileContentsToString(testEventPath), metadata);
-            testEvent.setFilter(generateValidFilter());
-            return Arguments.of(expectedEvent, testEvent);
-        };
-        return EventUtils.generateEventArguments(FILTER_DIRECTORY, creator);
-
-    }
-}
+///*-
+// * ============LICENSE_START=======================================================
+// *  Copyright (C) 2019-2020 Nordix Foundation.
+// *  Copyright (C) 2020 Nokia.
+// * ================================================================================
+// * Licensed under the Apache License, Version 2.0 (the "License");
+// * you may not use this file except in compliance with the License.
+// * You may obtain a copy of the License at
+// *
+// *      http://www.apache.org/licenses/LICENSE-2.0
+// *
+// * Unless required by applicable law or agreed to in writing, software
+// * distributed under the License is distributed on an "AS IS" BASIS,
+// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// * See the License for the specific language governing permissions and
+// * limitations under the License.
+// *
+// * SPDX-License-Identifier: Apache-2.0
+// * ============LICENSE_END=========================================================
+// */
+//
+//package org.onap.dcaegen2.services.pmmapper.filtering;
+//
+//import static org.junit.Assert.assertEquals;
+//import static org.junit.Assert.assertFalse;
+//import static org.junit.Assert.assertTrue;
+//import static org.mockito.Mockito.mock;
+//import static org.mockito.Mockito.when;
+//
+//import java.nio.file.Path;
+//import java.nio.file.Paths;
+//import java.util.ArrayList;
+//import java.util.Arrays;
+//import java.util.Collections;
+//import java.util.List;
+//
+//import org.junit.jupiter.api.BeforeEach;
+//import org.junit.jupiter.api.Test;
+//import org.junit.jupiter.api.extension.ExtendWith;
+//import org.junit.jupiter.params.ParameterizedTest;
+//import org.junit.jupiter.params.provider.Arguments;
+//import org.junit.jupiter.params.provider.MethodSource;
+//import org.mockito.Mock;
+//import org.mockito.junit.jupiter.MockitoExtension;
+//import org.onap.dcaegen2.services.pmmapper.model.Event;
+//import org.onap.dcaegen2.services.pmmapper.model.EventMetadata;
+//import org.onap.dcaegen2.services.pmmapper.model.MeasFilterConfig;
+//import org.onap.dcaegen2.services.pmmapper.model.MeasFilterConfig.Filter;
+//import org.onap.dcaegen2.services.pmmapper.model.measurement.common.MeasurementFile;
+//import org.onap.dcaegen2.services.pmmapper.utils.MeasConverter;
+//
+//import io.undertow.server.HttpServerExchange;
+//import utils.ArgumentCreator;
+//import utils.EventUtils;
+//
+//@ExtendWith(MockitoExtension.class)
+//class MeasFilterHandlerTest {
+//
+//    private static final Path FILTER_DIRECTORY = Paths.get("src/test/resources/filter_test/");
+//    private static final String baseDir = "src/test/resources/filter_test/";
+//    private static final MeasConverter converter = new MeasConverter();
+//    private MeasFilterHandler objUnderTest;
+//    @Mock
+//    private HttpServerExchange exchange;
+//
+//    @BeforeEach
+//    void setup() {
+//        objUnderTest = new MeasFilterHandler(new MeasConverter());
+//    }
+//
+//    @Test
+//    void skip_mapping_when_no_Filters_match() {
+//        String inputPath = baseDir + "lte/meas_results/test.xml";
+//        Filter noMatchFilter = new MeasFilterConfig().new Filter();
+//        noMatchFilter.setMeasTypes(Arrays.asList("nomatch1", "nomatch2"));
+//        Event event = generateEvent(inputPath, noMatchFilter);
+//        List<Event> events = new ArrayList<>();
+//        events.add(event);
+//        events.add(event);
+//
+//        assertFalse(objUnderTest.filterByMeasType(event));
+//        assertFalse(objUnderTest.filterByMeasType(events));
+//    }
+//
+//    @Test
+//    void remove_events_that_does_not_match_filter() {
+//        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
+//
+//        Filter matchFilter = new MeasFilterConfig().new Filter();
+//        matchFilter.setMeasTypes(Arrays.asList("a", "b"));
+//        Event eventMatch = generateEvent(inputPath, matchFilter);
+//        Filter noMatchFilter = new MeasFilterConfig().new Filter();
+//        noMatchFilter.setMeasTypes(Arrays.asList("ad", "bs"));
+//        Event eventNoMatch = generateEvent(inputPath, noMatchFilter);
+//
+//        List<Event> events = new ArrayList<>();
+//        events.add(eventMatch);
+//        events.add(eventNoMatch);
+//        assertTrue(objUnderTest.filterByMeasType(events));
+//        assertEquals(1, events.size());
+//    }
+//
+//    @Test
+//    void remove_all_events_that_does_not_match_filter() {
+//        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
+//
+//        Filter noMatchFilter = new MeasFilterConfig().new Filter();
+//        noMatchFilter.setMeasTypes(Arrays.asList("ad", "bs"));
+//        Event eventNoMatch = generateEvent(inputPath, noMatchFilter);
+//
+//        List<Event> events = new ArrayList<>();
+//        events.add(eventNoMatch);
+//        events.add(eventNoMatch);
+//        assertFalse(objUnderTest.filterByMeasType(events));
+//        assertEquals(0, events.size());
+//    }
+//
+//    @Test
+//    void skip_mapping_when_MeasData_isEmpty() {
+//        String inputPath = baseDir + "lte/meas_results/test.xml";
+//        Event event = generateEvent(inputPath, generateValidFilter());
+//        event.getMeasurement().replacementMeasurementData(Collections.emptyList());
+//
+//        assertFalse(objUnderTest.filterByMeasType(event));
+//    }
+//
+//    @Test
+//    void skip_filtering_if_filter_or_meastypes_isEmpty() {
+//        String inputPath = baseDir + "lte/meas_results/test.xml";
+//
+//        Filter emptyMeastypesFilter = new MeasFilterConfig().new Filter();
+//        emptyMeastypesFilter.setMeasTypes(Collections.emptyList());
+//
+//        Event event = generateEvent(inputPath, emptyMeastypesFilter);
+//        MeasurementFile originalMeasCollec = event.getMeasurement();
+//
+//        assertTrue(objUnderTest.filterByMeasType(event));
+//        assertEquals(originalMeasCollec,event.getMeasurement());
+//
+//        event.setFilter(null);
+//        assertTrue(objUnderTest.filterByMeasType(event));
+//        assertEquals(originalMeasCollec,event.getMeasurement());
+//    }
+//
+//    @Test
+//    void valid_fileType() {
+//        List<String> validFileTypes = Arrays.asList("Apm.xml", "Cpm.xml", "PM202007171301+020024C202007171207+0200-1215+0200_45678.xml", "PM202007171301-0100999A202007171207+0200-1215+0200_45678.xml");
+//        Event event = mock(Event.class);
+//        when(event.getHttpServerExchange()).thenReturn(exchange);
+//        validFileTypes.forEach(fileName -> {
+//            when(exchange.getRequestPath())
+//                    .thenReturn(fileName);
+//            assertTrue(objUnderTest.filterByFileType(event));
+//        } );
+//    }
+//
+//    @Test
+//    void invalid_fileType() {
+//        List<String> invalidFileTypes = Arrays.asList("Bpm.xml","Dpm.xml","Apm.xml.gz","Apm.xm1","asdf","bsdf", "B202007171207+0200-1215+0200_45678.xml", "PM202007171301+020024B202007171207+0200-1215+0200_45678.xml", "PMC202007171301+020024C202007171207+0200-1215+0200_45678.xml" , "PM202007171301-020024.xml");
+//        Event event = mock(Event.class);
+//        when(event.getHttpServerExchange()).thenReturn(exchange);
+//        invalidFileTypes.forEach(fileName -> {
+//            when(exchange.getRequestPath())
+//                    .thenReturn(fileName);
+//            assertFalse(objUnderTest.filterByFileType(event));
+//        });
+//    }
+//
+//    @Test
+//    void invalid_pattern_test() {
+//        String inputPath = baseDir + "lte/meas_type_and_r_manyinfo/test.xml";
+//        Filter matchFilter = new MeasFilterConfig().new Filter();
+//        matchFilter.setMeasTypes(Arrays.asList("a", "b", "......****"));
+//        Event eventMatch = generateEvent(inputPath, matchFilter);
+//        List<Event> events = new ArrayList<>();
+//        events.add(eventMatch);
+//        assertTrue(objUnderTest.filterByMeasType(events));
+//        assertEquals(1, events.size());
+//    }
+//
+//    @ParameterizedTest
+//    @MethodSource("getEvents")
+//    void filter_valid_measurements(Event expectedEvent, Event testEvent) {
+//        objUnderTest.filterByMeasType(testEvent);
+//        String actual = converter.convert(testEvent.getMeasurement());
+//        String expected = converter.convert(expectedEvent.getMeasurement());
+//        assertEquals(expected, actual);
+//
+//    }
+//
+//    private Event generateEvent(String inputPath, Filter filter) {
+//        EventMetadata metadata = new EventMetadata();
+//        metadata.setFileFormatType(MeasConverter.LTE_FILE_TYPE);
+//        Event event = EventUtils.makeMockEvent(EventUtils.fileContentsToString(Paths.get(inputPath)), metadata);
+//        event.setFilter(filter);
+//        return event;
+//    }
+//
+//    private static Filter generateValidFilter() {
+//        Filter filter;
+//        filter = new MeasFilterConfig().new Filter();
+//        filter.setDictionaryVersion("1.0");
+//        filter.setMeasTypes(Arrays.asList("a", "b", "aab.*", ".*3", ".******test"));
+//        return filter;
+//    }
+//
+//    private static List<Arguments> getEvents() {
+//        ArgumentCreator creator = (Path path, EventMetadata metadata) -> {
+//            Path expectedEventPath = Paths.get(path.toString()+"/expected.xml");
+//            Path testEventPath = Paths.get(path.toString()+"/test.xml");
+//            Event expectedEvent = EventUtils.makeMockEvent(EventUtils.fileContentsToString(expectedEventPath), metadata);
+//            Event testEvent = EventUtils.makeMockEvent(EventUtils.fileContentsToString(testEventPath), metadata);
+//            testEvent.setFilter(generateValidFilter());
+//            return Arguments.of(expectedEvent, testEvent);
+//        };
+//        return EventUtils.generateEventArguments(FILTER_DIRECTORY, creator);
+//
+//    }
+//}
Index: tools/development/docker-compose.yml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/docker-compose.yml b/tools/development/docker-compose.yml
--- a/tools/development/docker-compose.yml	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/docker-compose.yml	(date 1648736915080)
@@ -2,7 +2,7 @@
 
 services:
   datarouter-prov:
-    image: nexus3.onap.org:10001/onap/dmaap/datarouter-prov
+    image: onap/dmaap/datarouter-prov:latest
     container_name: datarouter-prov
     hostname: dmaap-dr-prov
     ports:
@@ -26,7 +26,7 @@
       - "dcae-pm-mapper:$PMMAPPER_IP"
 
   datarouter-node:
-    image: nexus3.onap.org:10001/onap/dmaap/datarouter-node
+    image: onap/dmaap/datarouter-node:latest
     container_name: datarouter-node
     hostname: dmaap-dr-node
     ports:
Index: tools/development/send-meas-data.sh
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/tools/development/send-meas-data.sh b/tools/development/send-meas-data.sh
--- a/tools/development/send-meas-data.sh	(revision 72c62a090d7551c1619321ab8c8c81a60516efe8)
+++ b/tools/development/send-meas-data.sh	(date 1648740158469)
@@ -17,6 +17,6 @@
 PUBLISH_FILE_NAME=$1
 
 MEAS_DATA_META_DATA_HEADER="X-DMAAP-DR-META:{\"productName\":\"gnb\",\"vendorName\":\"Nokia\",\"lastEpochMicrosec\":\"1538478000000\",\"sourceName\":\"oteNB5309\",\"startEpochMicrosec\":\"1538478900000\",\"timeZoneOffset\":\"UTC+05.00\",\"location\":\"ftpes://192.168.0.101:22/ftp/rop/A20161224.1045-1100.bin.gz\",\"compression\":\"gzip\",\"fileFormatType\":\"org.3GPP.28.532#measData\",\"fileFormatVersion\":\"V9\"}"
-docker exec -it files-publisher curl -v -L -k -X PUT -H "Content-Type:application/octet-stream" -H "X-ONAP-RequestID:X-ONAP-RequestID=15" -H "${MEAS_DATA_META_DATA_HEADER}" -H "X-DMAAP-DR-ON-BEHALF-OF:pm-mapper" -H "Authorization:Basic cG1tYXBwZXI6cG1tYXBwZXI=" --data-binary @"/files/${PUBLISH_FILE_NAME}" https://dmaap-dr-node:8443/publish/1/Apm_TEST_REQUEST.xml.gz
+docker exec -it files-publisher curl -v -L -k -X PUT -H "Content-Type:application/octet-stream" -H "X-ONAP-RequestID:X-ONAP-RequestID=15" -H "${MEAS_DATA_META_DATA_HEADER}" -H "X-DMAAP-DR-ON-BEHALF-OF:pm-mapper" -H "Authorization:Basic cG1tYXBwZXI6cG1tYXBwZXI=" --data-binary @"/files/${PUBLISH_FILE_NAME}" --post301 --location-trusted http://dmaap-dr-prov:8080/publish/1/Apm_TEST_REQUEST.xml.gz
 
 
